AlertRoutingRules
Update an alert routing rule
Update a specific alert routing rule by id. Note: If you are an advanced alert routing user, you should use the Alert Routes endpoint instead of this endpoint. If you don’t know whether you are an advanced user, please contact Rootly customer support.
PUT
/
v1
/
alert_routing_rules
/
{id}
Update an alert routing rule
curl --request PUT \
--url https://api.rootly.com/v1/alert_routing_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"conditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
],
"destination": {
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
'import requests
url = "https://api.rootly.com/v1/alert_routing_rules/{id}"
payload = { "data": {
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": True,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"owning_team_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"conditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": ["<string>"]
}
],
"destination": { "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'alert_routing_rules',
attributes: {
name: '<string>',
enabled: true,
alerts_source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
position: 123,
owning_team_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
conditions: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
property_field_name: '<string>',
property_field_value: '<string>',
property_field_values: ['<string>']
}
],
destination: {target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}
}
}
})
};
fetch('https://api.rootly.com/v1/alert_routing_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
],
"destination": {
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"condition_groups": [
{
"position": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": [
{
"property_field_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditionable_type": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Delete an alert routing ruleDelete a specific alert routing rule by id. **Note: If you are an advanced alert routing user, you should use the Alert Routes endpoint instead of this endpoint. If you don't know whether you are an advanced user, please contact Rootly customer support.**
Next
⌘I
Update an alert routing rule
